//
// Copyright (C) 2025 veypi <i@veypi.com>
// 2025-03-04 16:08:06
// Distributed under terms of the MIT license.
//

package vbase

import (
	"github.com/veypi/vbase/api"
	"github.com/veypi/vbase/auth"
	"github.com/veypi/vbase/cfg"
	"github.com/veypi/vigo"
)

var Router = vigo.NewRouter()

var Auth = auth.Factory
var Config = cfg.Config
var AuthMiddleware = auth.AuthMiddleware

func init() {
	// 挂载 API 路由
	Router.Extend("/api", api.Router)
}
